clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::modernize::TUTrackingInfo Struct Reference

`#include <LoopConvertUtils.h>`

## Public Member Functions
| TUTrackingInfo ()
| Reset and initialize per-TU tracking information. More...
StmtAncestorASTVisitor & | getParentFinder ()
StmtGeneratedVarNameMap & | getGeneratedDecls ()
ReplacedVarsMap & | getReplacedVars ()

## Detailed Description

Definition at line 393 of file LoopConvertUtils.h.

## Constructor & Destructor Documentation

clang::tidy::modernize::TUTrackingInfo::TUTrackingInfo | ( |  | ) |
| inline

Reset and initialize per-TU tracking information.

Must be called before using container accessors.

Definition at line 397 of file LoopConvertUtils.h.

## Member Function Documentation

StmtGeneratedVarNameMap& clang::tidy::modernize::TUTrackingInfo::getGeneratedDecls | ( |  | ) |
| inline

Definition at line 400 of file LoopConvertUtils.h.

StmtAncestorASTVisitor& clang::tidy::modernize::TUTrackingInfo::getParentFinder | ( |  | ) |
| inline

Definition at line 399 of file LoopConvertUtils.h.

ReplacedVarsMap& clang::tidy::modernize::TUTrackingInfo::getReplacedVars | ( |  | ) |
| inline

Definition at line 401 of file LoopConvertUtils.h.

The documentation for this struct was generated from the following file:

- LoopConvertUtils.h